TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

NumberOfRows ( elt-alg^mat/res^pow M ) -> elt-ord^rat n

### Description

<shortdoc> Returns the number of rows of M. </shortdoc>

### Examples

x_PA:= PolynomialAlgebra(FiniteField(5));; x_f:= Coerce(x_PA,X^2+2);; x_PSR:= PowerSeriesRing(FiniteField(5),x_f);; x_Quo:= Quotient(x_PSR,20);; a:=Element(x_Quo,[1,2,3]);; b:=Element(x_Quo,0);; c:=Element(x_Quo,[3,4]);; d:= Element(x_Quo,1);; M:= Matrix(x_Quo,3,2,[a,b,c,d,a,d]); NumberOfRows(M);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack